Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

1 - La documentation et les nouvelles de LinuxMAO

> Forums de discussion > 1 - La documentation et les nouvelles de LinuxMAO > [FAIT] Korg PX5D pour Linux : un éditeur de preset en v0.1
Dernier post

[FAIT] Korg PX5D pour Linux : un éditeur de preset en v0.1

soulfish utilisateur non connecté France
Salut!

Je suis les indications du wiki pour signaler ici la sortie de la version v0.1 d'un éditeur de presets pour le Korg Pandora PX5D.

La page dédié à mon logiciel:

http://www.exp-media.com/px5d_editor_linux

Le Korg PX5D est un multi-effets portable pour guitare et basse, muni d'une bonne quantité d'effets et simulateurs d'ampli divers et variés, et d'une super boite à rythme basse/batterie. Il possède une interface USB qui permet:
- de l'alimenter sans user les piles
- de s'en servir comme carte son USB-Audio (marche nickel sous Linux)
- de s'en servir comme périphérique MIDI (pour cette partie, c'est seulement depuis la version d'ALSA du Kernel 3.0 que l'USB-MIDI est reconnu).

Depuis que l'USB-MIDI du PX5D est reconnu, il était possible d'utiliser l'éditeur officiel publié par Korg en passant par WINE, mais l'unité communiquant par Sysex avec l'éditeur j'ai pu attaquer une interface native pour Linux, qui permettra de faire peut être un jour plus de choses que l'éditeur pour Windows... mais au moins autant est l'objectif pour l'instant.

La version 0.1 permet la visualisation et l'édition d'un preset en temps réel ainsi que la sauvegarde sur le PX5D. Les versions suivantes permettrons de lister tous les presets, sauvegarder en local dans un format custom XML (et pas le binaire de l'éditeur original) et dans quelques temps j'aurais l'interface pour la boite à rythme.

Les dépendences du soft sont simplement: QT pour l'interface et CMake pour builder.

Les testeurs sont les bienvenus, et tout conseil ou idée sont également les bienvenus.

En dehors de la page dédiée, le projet est hébergé sur GitHub .

Voilà! Le temps de lire le reste des recommandations de LinuxMAO et je peux essayer de créer une page pour le logiciel (qui pour l'instant d'ailleurs n'a pas d'autre nom que "PX5D Editor for Linux").

olinuxx utilisateur non connecté France
Félicitations !
Si tu veux créer une page pour ce logiciel, ce que j'encourage vivement, tu peux suivre les recommandations ici : SITE_fonctionnement_wiki_creer.

Je viens également de démarrer une page pour ce matériel : Korg PX5D, sens toi libre d'y ajouter ce qui te semble pertinent.

Encore une fois, congratz' !
Bien à toi,
Olivier

soulfish utilisateur non connecté France
Page pour le matériel complétée! Je tente de rajouter la page pour le logiciel dans la semaine.

olinuxx utilisateur non connecté France
Super !!
j'ai fait quelques ajouts.

Olivier

olinuxx utilisateur non connecté France
Pareil, super!, j'ai fait quelques ajouts/modifs.
Dis moi si ca te va.

Olivier

soulfish utilisateur non connecté France
Impec! Je file bosser sur la version 0.2! :-)

af utilisateur non connecté
Salut soulfish
Tu crois qu'on aura une 0.2 pour noël? C'est que la version windows sous wine ne me met pas une entrée son, dommage car mon laptop n'a même pas d'entrée analogique :-(
J'ai essayé d'installer le driver windows mais ça foire.

soulfish utilisateur non connecté France
Salut!

Le dev continue lentement, quand j'ai le temps d'y consacrer un moment, la version dev actuelle change un peu l'interface, et rajoute le chargement/sauvegarde des presets. Par contre je ne gère pas du tout les entrées/sorties audio, tout est géré au niveau du kernel linux, et tu devrais voir apparaitre le pandora comme une carte son USB, tu n'as vraiment rien comme device audio qui devient dispo quand le pandora est branché? J'essaye de mettre au propre une version 0.2 pour le début d'année!

af utilisateur non connecté
Merci et bon courage, on t'attend avec impatience.
C'est difficile?
C'est la version win(e) qui ne me montre juste qu'une sortie dans le gestionnaire de sons de ubuntu... mais même sans le driver installé. J'y pense, c'est peut-être juste que j'ai pas mis la box dans la bonne conf... m'en vais relire la doc

soulfish utilisateur non connecté France
Dans le menu Utility du Pandora il y a une option USB RCVE (USB receive) ou un truc du genre, il faut peut être activer ça pour avoir du bidirectionnel. Jamais essayé sans, le PX5d a toujours été reconnu en USB audio chez moi, et meme sur d'anciens Kernel. Il n'y a que le midi,
qui sert à l'éditeur, qui nécessite un Kernel 3.
Quant à l'éditeur, un peu le fait de n'avoir eu que peu de retours d'utilisateurs, et un peu le fait que j'ai délaissé l'électrique pour l'acoustique ces derniers mois ont fait que la version 0.2 n'a pas encore été stabilisée malgré plusieurs améliorations pour mon utilisation perso. Je mettrais à jour la branche dev plus souvent peut être ?

af utilisateur non connecté
Bonjour
Je m'accroche
Bon, je laisse tomber avec wine, et je tente avec le zip que j'ai trouvé sur ton site de Github, c'est plus respect pour ton boulot.
Mais j'ai une brouette d'erreurs:
compilation
cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr
-- The CXX compiler identification is unknown
CMake Error: your CXX compiler: "CMAKE_CXX_COMPILER-NOTFOUND" was not found.   Please set CMAKE_CXX_COMPILER to a valid compiler path or name.
-- Kernel Version >= 3.0, OK for Pandora USB-Midi!
-- Korg Pandora PX5d editor for Linux 0.1.0
    install prefix: /usr
-- Build configuration: 
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Looking for Q_WS_X11
CMake Error at /usr/share/cmake-2.8/Modules/CMakeCXXInformation.cmake:37 (get_filename_component):
  get_filename_component called with incorrect number of arguments
Call Stack (most recent call first):
  CMakeLists.txt:2 (PROJECT)


CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Looking for Q_WS_X11 - not found
-- Looking for Q_WS_WIN
CMake Error at /usr/share/cmake-2.8/Modules/CMakeCXXInformation.cmake:37 (get_filename_component):
  get_filename_component called with incorrect number of arguments
Call Stack (most recent call first):
  CMakeLists.txt:2 (PROJECT)


CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
CMake Error at /usr/share/cmake-2.8/Modules/CMakeCXXInformation.cmake:37 (get_filename_component):
  get_filename_component called with incorrect number of arguments
Call Stack (most recent call first):
  CMakeLists.txt:2 (PROJECT)


CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
CMake Error at /usr/share/cmake-2.8/Modules/CMakeCXXInformation.cmake:37 (get_filename_component):
  get_filename_component called with incorrect number of arguments
Call Stack (most recent call first):
  CMakeLists.txt:2 (PROJECT)


CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/bin/qmake (found version "4.8.4") 
-- Found Qt4.EDITION = OpenSource version = 4.8.4
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Found ALSA: /usr/lib/x86_64-linux-gnu/libasound.so (found version "1.0.25") 
-- Configuring incomplete, errors occurred!


af utilisateur non connecté
Ooops... sorry4zeNoyze : un petit gougleuh et j'ai trouvé qu'il me manquait un truc, sûrement spécial à ubuntu : build-essential.
La première commande est passée razz

af utilisateur non connecté
et le sudo make install aussi :: C'est Broadway ))))

Meeeerciii

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

bluedid29, 22:09, sam. 06 Aug 2022: Merci allany et toute l'équipe ;-)
allany, 10:53, sam. 06 Aug 2022: Ça c'est pas banal, v'là l'éditorial ! [Lien]
olinuxx, 09:06, sam. 06 Aug 2022: Bonjour et bienvenue à noedig et à adasper cool
bluedid29, 01:18, sam. 06 Aug 2022: Qtractor 0.9.27 dispo en App c'est cool pour tester :-) [Lien]
bluedid29, 19:47, mer. 03 Aug 2022: LibraZiK 4 en test tous les jours... ...cela se passe plutot bien ! Bon été :-)
sub26nico, 16:33, jeu. 28 Jul 2022: Bonjour et bienvenue à kam et johntheripper :-)
olinuxx, 09:53, dim. 24 Jul 2022: Bonjour et bienvenue à kakajc et à marionux.
olinuxx, 19:56, jeu. 21 Jul 2022: Bonjour et bienvenue à trentin et à lazyn cool
olinuxx, 19:54, dim. 17 Jul 2022: Bonjour et bienvenue à amelinux et à Cross bee cool
CyrilRos, 15:53, dim. 10 Jul 2022: Tux|N|Mix Voila une nouvelle version et Bonjour #Reaper qui est désormais inclus [Lien]
sub26nico, 21:01, jeu. 07 Jul 2022: Salut et bienvenue à NeoTeo :-)
sub26nico, 20:40, jeu. 07 Jul 2022: Support CLAP (expérimental) avec la nouvelle version de Qtractor !